/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Groups 管理XMO データ保持クラス
//			変更履歴
//				2004.01.08	新規作成	            二條智文
//
package jp.co.ntt.lms.xmo.Groups;

/**
 * Groups 管理XMO データ保持クラスです。<BR>
 * このクラスはGroupsテーブルの検索結果をサーバからクライアントに
 * 送信するときに使用されます。<BR>
 * 直列化のためにjava.io.Serializableインタフェースを実装します。
 * @author T.Nijou
 * @version 0.0.0.1 2004/01/08
 */
public class GroupsData implements java.io.Serializable {

	/** 親IDを保持します */
	private String pstrParentID = null;

	/** グループIDを保持します */
	private String pstrGroupID = null;

	/** グループ名を保持します */
	private String pstrGroupName = null;

	/** グループタイプを保持します */
	private String pstrGroupType = null;

	/** 隠しフラグを保持します */
	private String pstrDeleteFlag = null;

	/** 外部キーを保持します */
	private String pstrForeignID = null;

	/** コメントを保持します */
	private String pstrCustomMsgDir = null;

	/** オブジェクトIDを保持します */
	private String pstrOid = null;
	
	/** ＡＤ識別名を保持します */
	private String pstrAdDn = null;

	/**
	 * 親IDを設定します
	 * @param astrParentID 親ID
	 */
	public void setParentID( String astrParentID ) {
		pstrParentID = astrParentID;
	}

	/**
	 * 親IDを取得します
	 * @return String 親ID
	 */
	public String getParentID() {
		return pstrParentID;
	}

	/**
	 * グループIDを設定します
	 * @param astrGroupID グループID
	 */
	public void setGroupID( String astrGroupID ) {
		pstrGroupID = astrGroupID;
	}

	/**
	 * グループIDを取得します
	 * @return String グループID
	 */
	public String getGroupID() {
		return pstrGroupID;
	}

	/**
	 * グループ名を設定します
	 * @param astrGroupName グループ名
	 */
	public void setGroupName( String astrGroupName ) {
		pstrGroupName = astrGroupName;
	}

	/**
	 * グループ名を取得します
	 * @return String グループ名
	 */
	public String getGroupName() {
		return pstrGroupName;
	}

	/**
	 * グループタイプを設定します
	 * @param astrGroupType グループタイプ
	 */
	public void setGroupType( String astrGroupType ) {
		pstrGroupType = astrGroupType;
	}

	/**
	 * グループタイプを取得します
	 * @return String グループタイプ
	 */
	public String getGroupType() {
		return pstrGroupType;
	}

	/**
	 * 隠しフラグを設定します
	 * @param astrDeleteFlag 隠しフラグ
	 */
	public void setDeleteFlag( String astrDeleteFlag ) {
		pstrDeleteFlag = astrDeleteFlag;
	}

	/**
	 * 隠しフラグを取得します
	 * @return String 隠しフラグ
	 */
	public String getDeleteFlag() {
		return pstrDeleteFlag;
	}


	/**
	 * 外部キーを設定します
	 * @param apstrForeignID 外部キー
	 */
	public void setForeignID( String apstrForeignID ) {
		pstrForeignID = apstrForeignID;
	}

	/**
	 * 外部キーを取得します
	 * @return String 外部キー
	 */
	public String getForeignID() {
		return pstrForeignID;
	}

	/**
	 * コメントを設定します
	 * @param astrCustomMsgDir コメント
	 */
	public void setCustomMsgDir( String astrCustomMsgDir ) {
		pstrCustomMsgDir = astrCustomMsgDir;
	}

	/**
	 * コメントを取得します
	 * @return String コメント
	 */
	public String getCustomMsgDir() {
		return pstrCustomMsgDir;
	}

	/**
	 * オブジェクトIDを設定します
	 * @param astrAdDomainName オブジェクトID
	 */
	public void setOid( String astrOid ) {
		pstrOid = astrOid;
	}

	/**
	 * オブジェクトIDを取得します
	 * @return String オブジェクトID
	 */
	public String getOid() {
		return pstrOid;
	}

	/**
	 * ＡＤ識別名を設定します
	 * @param astrAdDn ＡＤ識別名
	 */
	public void setAdDn( String astrAdDn ) {
		pstrAdDn = astrAdDn;
	}

	/**
	 * ＡＤ識別名を取得します
	 * @return String ＡＤ識別名
	 */
	public String getAdDn() {
		return pstrAdDn;
	}


}

